Groovy 1.7.10

## groovy.swing
[Groovy] Class LookAndFeelHelper

    java.lang.Object
      groovy.swing.LookAndFeelHelper

    class LookAndFeelHelper
    extends Object

Field Summary
`protected static LookAndFeelHelper` | `instance`

Method Summary
`String` | `addLookAndFeelAlias(String alias, String className)`
`String` | `addLookAndFeelAttributeHandler(String className, String attr, Closure handler)`
`static String` | `getAquaLAFName()`
`static LookAndFeelHelper` | `getInstance()`
`static String` | `getNimbusLAFName()`
`static String` | `getSubstanceLAFName()`
`boolean` | `isLeaf()`
`LookAndFeel` | `lookAndFeel(Object value, Map attributes, Closure initClosure)`

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Field Detail

### instance

    protected static LookAndFeelHelper instance

Method Detail

### addLookAndFeelAlias

    String addLookAndFeelAlias(String alias, String className)

### addLookAndFeelAttributeHandler

    String addLookAndFeelAttributeHandler(String className, String attr, Closure handler)

### getAquaLAFName

    static String getAquaLAFName()

### getInstance

    static LookAndFeelHelper getInstance()

### getNimbusLAFName

    static String getNimbusLAFName()

### getSubstanceLAFName

    static String getSubstanceLAFName()

### isLeaf

    boolean isLeaf()

### lookAndFeel

    LookAndFeel lookAndFeel(Object value, Map attributes, Closure initClosure)

Copyright © 2003-2010 The Codehaus. All rights reserved.